apiVersion: v1
kind: ConfigMap
metadata:
  name: topaz-config
data:
  config.yaml: |
    ---
    logging:
      prod: true
      log_level: debug
    
    directory_service:
      edge:
        db_path: /db/eds-citadel.db
        seed_metadata: false
      remote:
        address: "localhost:9292"
        insecure: true
    
    api:
      gateway:
        allowed_origins:
        - https://locahost
      grpc:
        connection_timeout_seconds: 2
    
    opa:
      instance_id: "-"
      graceful_shutdown_period_seconds: 2
      local_bundles:
        paths: []
        skip_verification: true
      config:
        services:
          acmecorp:
            url: https://ghcr.io/
            type: "oci"
            response_header_timeout_seconds: 5
        bundles:
          peoplefinder:
            service: acmecorp
            resource: "ghcr.io/aserto-policies/policy-todo:latest"
            persist: false
            config:
              polling:
                min_delay_seconds: 60
                max_delay_seconds: 120
